
module Kernel

  # Like #respond_to? but returns the result of the call if
  # it does respond.
  #
  # (This is used to be called #respond_with_value.)

  def respond(sym, *args)
    return nil if not respond_to?(sym, *args)
    send(sym, *args)
  end

end
